int Zvezda(int N, int *A) {
    int sum=0;
    if (N == 4) {
        for (int i=1;i<=4;i++) sum+=A[i];
        if (sum==1 || sum==3) return 1;
        else return 0;
    }

    if (N == 8) {
        for (int i=1;i<=8;i++) sum+=A[i];

        if (sum==1 || sum==7) return 35;  /// kombinacije;

        if (sum==2 || sum==6) {
            int f=0,s=0,vr;

            if (sum==2) vr=1;
            else vr=0;

            for (int i=1;i<=8;i++) {
                if (A[i]==vr) {
                    if (f==0) f=i;
                    else s=i;
                }
            }

            if (f+8-s <= s-f) return f+8-s;
            else return s-f;
        }

        if (sum==3 || sum==5) return 30;  /// kombinacije;

        if (sum==4) return 16;  /// kombinacije;
    }

    return 0;

///    if (N==12) {
///        for (int i=1;i<=8;i++) sum+=A[i];
///
///        if (sum==1 || sum==11) return 165;
///        if (sum==2 || sum==10)
///    }

}